API DocumentationManufacturer document controller

Generate order traveller PDF

GET
/api/manufacturer/v1/document/{orderId}/order-traveller

Generates an order-level traveller PDF for the specified order, optionally using a custom named template

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

orderId*integer

ID of the order

Formatint64

Query Parameters

templateName?string

Name of the ORDER_LEVEL_TRAVELLER custom template to use (optional)

Response Body

PDF generated successfully

application/pdf
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/document/1/order-traveller'
Empty